%define name    laby
%define version 0.6.3
%define release %mkrel 1

Summary: Learn how to program with ants and spider webs
Name:    %{name}
Version: %{version}
Release: %{release}
Source0: http://www.pps.jussieu.fr/~gimenez/data/fdls/%{name}-%{version}.tar.gz
Source1: %{name}.xpm
License: GPLv3+
Group:   Games/Puzzles
Url:     http://www.pps.jussieu.fr/~gimenez/laby/

BuildRequires: ocaml
BuildRequires: ocaml-findlib
BuildRequires: ocaml-lablgtk2-devel
BuildRequires: gtksourceview2-devel

Requires: ocaml
Suggests: gcc
Suggests: javac
Suggests: perl
Suggests: python
Suggests: gprolog

%description
Laby is a small program to learn how to program with ants and
spider webs. You have to move an ant out of a labyrinth, avoid
spider webs, move rocks, ... etc. Your weapon? A program!

Using Laby, you can have fun while learning OCaml, C, Perl, Java,
Python or even Prolog.


%prep
%setup -q

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_gamesbindir}
mkdir -p %{buildroot}%{_datadir}/laby
cp $(readlink -f laby) %{buildroot}%{_gamesbindir}/laby
cp -r data/* %{buildroot}%{_datadir}/laby/
install -m 755 -d %{buildroot}/%{_iconsdir}
cp %{SOURCE1} %{buildroot}/%{_iconsdir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;LogicGame;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYRIGHT TRANSLATION
%attr(0755, root, games) %{_gamesbindir}/*
%{_datadir}/laby/*
%{_datadir}/applications/*
%{_iconsdir}/*.xpm



%changelog

* Wed Nov 02 2011 malo <malo> 0.6.3-1.mga2
+ Revision: 161850
- fixing BuildRequires
- spec cleanup.
- imported package laby

